> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.0/api/csharp/yarn.markup/yarn.markup.markupparseresult/yarn.markup.markupparseresult.textforattribute.md).

# TextForAttribute(MarkupAttribute)

Method in [MarkupParseResult](/2.0/api/csharp/yarn.markup/yarn.markup.markupparseresult.md)

## Summary

Returns the substring of [Text](/2.0/api/csharp/yarn.markup/yarn.markup.markupparseresult/yarn.markup.markupparseresult.text.md) covered by `attribute` Position and Length properties.

```csharp
public string TextForAttribute(MarkupAttribute attribute)
```

## Remarks

If the attribute's [Length](/2.0/api/csharp/yarn.markup/yarn.markup.markupattribute/yarn.markup.markupattribute.length.md) property is zero, this method returns the empty string.

This method does not check to see if `attribute` is an attribute belonging to this MarkupParseResult. As a result, if you pass an attribute that doesn't belong, it may describe a range of text that does not appear in [Text](/2.0/api/csharp/yarn.markup/yarn.markup.markupparseresult/yarn.markup.markupparseresult.text.md). If this occurs, an `System.IndexOutOfRangeException` will be thrown.

## Parameters

| Name                                                                                                | Description                        |
| --------------------------------------------------------------------------------------------------- | ---------------------------------- |
| [Yarn.Markup.MarkupAttribute](/2.0/api/csharp/yarn.markup/yarn.markup.markupattribute.md) attribute | The attribute to get the text for. |

## Returns

The text contained within the attribute.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.markup/yarn.markup.markupparseresult/yarn.markup.markupparseresult.textforattribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
